{
  "Logging": {
    "LogLevel": {
      "Default": "Information",
      "System": "Information"
    }
  },
  "AppConnection": {
    //"PerformanceConnectionString": "server=112.124.13.17;database=db_performance;uid=suvalue;pwd=suvalue2016;pooling=true;charset=utf8;convert zero datetime=true;port=3306;connection timeout=120;max pool size=512;allow user variables=true;",
    "PerformanceConnectionString": "server=192.168.18.166;database=db_test_beiliu;uid=root;pwd=1234qwer;pooling=true;charset=utf8;convert zero datetime=true;port=3306;connection timeout=120;max pool size=512;allow user variables=true;"
    //"PerformanceConnectionString": "server=116.62.245.55;database=db_performance_cxjx;uid=cxjx;pwd=Suvalue@cxjx;pooling=true;charset=utf8;convert zero datetime=true;port=3306;connection timeout=120;max pool size=512;allow user variables=true;"
  },
  "AppOptions": {
    "OpenOAuth": true
  },
  "oauth2": {
    "authorize_url": "http://192.168.18.166:8038/oauth2/authorize",
    "token_url": "http://192.168.18.166:8038/oauth2/token",
    "get_user_info_url": "http://192.168.18.166:8038/oauth2/get_user_info",
    "client_id": 1,
    "client_secret": 123456,
    "redirect_uri": "www.baidu.com",
    "default_mail": "",
    "default_password": "222",
    "default_hosid": "16"
  },
  "Application": {
    // 是否开启反SQL注入 默认关闭  true 开启  false 关闭
    "OpenAntiSqlInject": true,
    // 开启反SQL注入白名单地址
    "AntiSqlInjectRouteWhite": [
      "/api/graphql",
      "/api/extract/type/[0-9]+/save",
      "/api/account/updateuser"
    ],
    //登录过期时间
    "ExpirationMinutes": "1200000",
    //验证码过期
    "SmsCodeMinutes": "5",
    ////护士长二次绩效管理员
    //"NurseRole": "3",
    ////科主任二次绩效管理员
    //"DirectorRole": "4",
    ////特殊科室二次绩效管理员
    //"SpecialRole": "9",
    ////数据收集角色（可查看所有）
    //"CollectRoles": [ 1, 2, 5, 6, 7, 8 ],
    // 抽取结果Excel文件保存地址
    "AbsolutePath": "E:\\wwwroot\\testjx.suvalue.com",
    // 抽取结果Excel文件保存地址 更替的 网络地址
    "HttpPath": "http://testjx.suvalue.com:81",
    "SwaggerEndpoint": "/swagger/v1/swagger.json"
  },
  "WebapiUrl": {
    // 抽取结果保存地址
    "ImportFile": "http://localhost:5001/api/",
    // 抽取uri
    "HttpPost": "http://localhost:50997/api/"
  },
  "RateLimitingConfig": {
    "Endpoints": [
      "/api/second/savevalue",
      "/api/second/savedata",
      "/api/second/other/save",
      "/api/second/redistribution/save",
      "/api/second/redistribution/submit"
    ],
    "Period": "1", // 单位为秒
    "Limit": 1
  }
}
